# 人氣排行分類

`GET` `/v1/quote/market/rank/categories`

獲取人氣排行榜的標籤分類配置，`second_tags[].key` 可傳入 `rank_list`。

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market/rank/categories' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `first_tags` | object[] | No | 一級分類列表 |
| `└ key` | string | No | 一級分類鍵值 |
| `└ name` | string | No | 一級分類名稱 |
| `└ second_tags` | object[] | No | 二級分類列表 |
| `└ ∟ key` | string | No | 一級分類鍵值 |
| `└ ∟ name` | string | No | 一級分類名稱 |
| `└ ∟ market` | string | No | 所屬市場：`US`、`HK`、`CN`、`SG` |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "first_tags": [
      {
        "key": "ib_hot",
        "name": "Hotness Rank",
        "second_tags": [
          {
            "key": "ib_hot_all-us",
            "name": "US Total Hotness",
            "market": "US"
          },
          {
            "key": "ib_hot_all-hk",
            "name": "HK Total Hotness",
            "market": "HK"
          },
          {
            "key": "ib_hot_all-cn",
            "name": "A-share Total Hotness",
            "market": "CN"
          }
        ]
      },
      {
        "key": "ib_change",
        "name": "Price Change Rank",
        "second_tags": [
          {
            "key": "ib_change_top-us",
            "name": "US Top Gainers",
            "market": "US"
          },
          {
            "key": "ib_change_top-hk",
            "name": "HK Top Gainers",
            "market": "HK"
          }
        ]
      }
    ]
  }
}
```
